<div>
    <h2>
        <span jhiTranslate="twentyonepointsApp.bloodPressure.home.title">Blood Pressures</span>
        <button class="btn btn-primary float-right jh-create-entity create-blood-pressure" [routerLink]="['/', { outlets: { popup: ['blood-pressure-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="twentyonepointsApp.bloodPressure.home.createLabel">
            Create new Blood Pressure
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="bloodPressures">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="reset.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="timestamp"><span jhiTranslate="twentyonepointsApp.bloodPressure.timestamp">Timestamp</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="systolic"><span jhiTranslate="twentyonepointsApp.bloodPressure.systolic">Systolic</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="diastolic"><span jhiTranslate="twentyonepointsApp.bloodPressure.diastolic">Diastolic</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="user.login"><span jhiTranslate="twentyonepointsApp.bloodPressure.user">User</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
            <tr *ngFor="let bloodPressure of bloodPressures ;trackBy: trackId">
                <td><a [routerLink]="['../blood-pressure', bloodPressure.id ]">{{bloodPressure.id}}</a></td>
                <td>{{bloodPressure.timestamp | date:'medium'}}</td>
                <td>{{bloodPressure.systolic}}</td>
                <td>{{bloodPressure.diastolic}}</td>
                <td>
                    {{bloodPressure.user?.login}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../blood-pressure', bloodPressure.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'blood-pressure/'+ bloodPressure.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'blood-pressure/'+ bloodPressure.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
